Soporte en Debian/Ubuntu para wifi VIA VT6656 (Point of View Mobii 10)

ACTUALIZACIÓN (23/06/2010): El nuevo Ubuntu 10.04 soporta este dispositivo WIFI por lo que no es necesario ningún paquete externo a la distribución.

UPDATE (Jun 23, 2010): The new Ubuntu 10.04 supports this WIFI device so you do not need to install any external packages.

ACTUALIZACIÓN: Este paquete NO funciona con Ubunut 9.10 (karmic). Puedes consultar el estado del soporte para Ubuntu en el enlace siguiente.

UPDATE: This package will NOT work in Ubuntu 9.10 (karmic). You can check the Ubuntu support in the next link.

http://bugs.launchpad.net/ubuntu/+source/linux/+bug/162671

Versión corta/short version

Instala este paquete/install this package:

http://launchpad.net/~jjchico/+archive/ppa/+files/vntwusb-dkms_1.19.12~ppa1_all.deb

O bien añade este repositorio/or add this repository:

deb http://ppa.launchpad.net/jjchico/ppa/ubuntu jaunty main
deb-src http://ppa.launchpad.net/jjchico/ppa/ubuntu jaunty main

y luego/and then:

sudo apt-get install vntwusb-dkms

Versión larga/long version (only in Spanish)

Hace unos días copré un netbook  Point of View Mobii 10. Instalé Ubuntu 9.04 (Jaunty) y observé que no funcionaba el Wifi. Haciendo algunas gestiones averigüé que traía un chip VIA VT6656 y que VIA había sacado recientemente un driver para Linux, pero que todavía no estaba integrado en el kernel. El driver compiló a la perfeción y funcionó a la primera, pero esto tiene el inconveniente de tener que compilar el driver cada vez que se actualiza el kernel, así que decidí ver si era capaz de producir un paquete DKMS, lo cual fue posible gracias a esta guía. El resultado podéis verlo en la versión corta más arriba.

Es cierto que el paquete no está muy bien hecho, pero a mi me funciona y espero que a otros también.

Anuncios

26 pensamientos en “Soporte en Debian/Ubuntu para wifi VIA VT6656 (Point of View Mobii 10)

  1. Agradezco mucho la instalación que has hecho para el VT6656, pues yo no era capaz de compilar. me funciona… gracias
    Te pregunto otra cosa con el mismo Mini Point of View a mi me da un problema en el Firefox, de tal manera que en los links de las pgs. WEB solamente me salen líneas… y así es imposible Browsear… he tenido que instalar el Opera ¿Te da a ti el mismo problema?
    ¡Gracias por todo y se recibo una respuesta

  2. Mil gracias !!
    Funciona a la perfección!
    He estado buscando información sobre la tarjeta y el chipset que usa y la verdad es que no hay mucha.
    Tu reseña es lo único que he encontrado de utilidad para configurar este equipo (lo compraste en APP, no?).
    Gracias por tu trabajo. Me has ayudado un montón.

  3. lo compré el jueves y llevaba todo el finde rompiendome la cabeza de pq solo funcionaba el wifi cuando hacia el restore default, funcionaba, pero reiniciaba y dejaba de funcionar, no reconocia el wifi como dispositivo en el arranke.
    ahora va bien, muxisi+ gracias
    eres un crack

  4. Pingback: Point of View - Mobii, Netbook económico, pero… | Blog de Linxser

  5. Pingback: Soporte VT6656 en Ubuntu 9.10 « tinkabit

  6. Buenas, estoy escribiendo esto desde el dicho netbook y no hay manera de hacer arrancar esto, he mirado en la terminal y sale algo de un error 10 no controlo nada de drivers ya que hasta ahora ubuntu me reconocía todo.
    Si me pudieras resolver el problema te estaría muy agradecido. Saludos!

  7. Si estás usando Ubuntu 9.04 (Jaunty) y sigues las instrucciones del post, debería funcionar. Para instalar el paquete sólo tienes que pinchar sobre el enlace ar archivo .deb y dejar que gdebi haga el resto…

    Si usas Ubuntu 9.10 (Karmic) seguramente no te funcione, como comentan en lauchpad:
    http://bugs.launchpad.net/ubuntu/+source/linux/+bug/162671

    Para poder ayudarte mejor necesitaría saber algo más, como:

    ¿Has instalado el paquete vntwusb…deb? ¿Ha dado algún error la instalación?

    ¿Cuál es exactamente el error que ves?

    ¿Da el error al instalar el paquete o al reiniciar el ordenador tras el arranque?

    ¿Tu chip está en un Point of View o en otra máquina? Ten en cuenta que el driver no va en procesadores de 64 bits.

    Suerte.

    • Es ubuntu 9.10 supongo que será eso
      el vntwusb lo instalé, claro, y ningún error
      En la terminal muestra un error 10 después de una linea de código que no recuerdo ahora
      sí es un point of view y no tengo 64bits.
      Por ahora estoy funcionando con un pincho wifi usb, así que ya no me corre prisa, ¿Crees que lo mejor es apañarme a ver si sale en 9.10, y en caso de aun no funcionar la versión final instalar 9.04?

  8. Efectivamente, el problema es que el módulo no funciona para Ubuntu 9.10. Parece que ya hay un driver funcional en el kernel, con lo que probablemente habrá soporte para Ubuntu 10.04 (abril de 2010). Yo retrasaré mi actualización de jaunty hasta entonces…

    Suerte.

  9. Hola yo estoy con el mismo problema. Ya he actualizado y estoy sin wifi.
    Algun alma caritativa podria hacer el .deb para esta version o en su defecto exlicarme como compilarlo y ahcer el dkms en español.
    Gracias y un saludo

  10. Y como lo haceis para conectar porq a mi solo me aparece el modo combinado WPA + WPA2 en la ubuntu 9.10 con lo q no puedo conectar xq no me da la opcion de seleccionar solo WPA2. El caso es q en anteriores distribuciones no tenia ese problema y si podia conectar con clave WPA

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s